Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-11-2009 23:28:04

jpb1764
Membre
Lieu : Saint-Lô
Distrib. : lenny
Noyau : 2.6.31.5
(G)UI : kde 3.5
Inscription : 08-11-2009

lirc sous lenny avec noyau 2.6.31.5

bonjour à tous,

après avoir testé pendant plusieurs mois une quinzaine de distributions linux et plusieurs interfaces graphiques il a bien fallu que je me fasse une raison : je devais revenir à debian lenny  et kde 3.5 (surtout après avoir "goûté" à kde 4 que j'appelle d'ailleurs kde vista).
Cependant je voulais impérativement de l'ext4 : j'ai donc téléchargé le kernel 2.6.31-5 et compilé le "machin" et (à mon grand étonnement car je ne suis pas un spécialiste) tout fonctionne très bien et même plus que ça car il est clair que ça "dépote" de façon fracassante avec l'ext4 (c'est impressionnant surtout dans la suppression des fichiers par rapport à l'ext3) et ce kernel (ne serait-ce que quand je lance la première fois firefox ou openoffice).

Mais il me reste une chose à faire fonctionner et je n'arrive pas à comprendre ce qui se passe : j'ai téléchargé lirc 0.8.6 pour ce kernel et après l'avoir compilé sans problème j'ai voulu me faire mon propre fichier de configuration pour mapper les touches de la télécommande avec la commande "irrecord atiremote.conf" mais dès la première touche j'ai la punition suivante :

Hold down an arbitrary button.
................................................................................
Found gap length: 143995
Now enter the names for the buttons.

Please enter the name for the next button (press <ENTER> to finish recording)
a
'a' is not in name space (use --disable-namespace to disable checks)
Use 'irrecord --list-namespace' to see a full list of valid button names
Please try again.


Si je tente avec --disable-namespace ça ne donne rien de plus si ce n'est que je n'ai pas l'avertissement!
Si je rentre un nom de touche donné par 'irrecord --list-namespace' même punition!

Et la télécommande fonctionne assurément car un mode2 --raw ou un irw ne laissse aucun doute et cela d'autant plus que lors du irrecord le "gap length" est bien détecté!

jplinux:/etc/lirc# irw
00000014d5000000 00 a SAPPHIRE_ATIUSB_5000023600
00000014d5000000 01 a SAPPHIRE_ATIUSB_5000023600
00000014d6010000 00 b SAPPHIRE_ATIUSB_5000023600
00000014d6010000 01 b SAPPHIRE_ATIUSB_5000023600
00000014d7020000 00 power SAPPHIRE_ATIUSB_5000023600
00000014d7020000 01 power SAPPHIRE_ATIUSB_5000023600
00000014f31e0000 00 ok SAPPHIRE_ATIUSB_5000023600
00000014f31e0000 01 ok SAPPHIRE_ATIUSB_5000023600


Et ce qui m'embête le plus c'est que je ne peux plus essayer avec le noyau d'origine de la lenny (je dis ça car j'aurai une installation "cohérente" du noyau et du lirc qui va avec) car je suis définitivement en ext4...

Donc me voilà dans une impasse d'où j'espère que vos lumières me feront sortir!


Merci d'avance pour votre aide!...
Jean-Pierre.


Ah l'informatique! Ou pourquoi faire simple quand on peut faire compliqué!...

Hors ligne

Pied de page des forums